﻿using System.Windows;
using System.Windows.Media;
using Steema.TeeChart.WPF.Drawing;
using Steema.TeeChart.WPF.Styles;
using Steema.TeeChart.WPF.Tools;

namespace TChartTest
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		private Rotate rotateTool;
		public MainWindow()
		{
			InitializeComponent();
		}

		private void UpdateChart(object sender, RoutedEventArgs e)
		{
			Chart.Clear();
			Chart.Header.Text = "Test Chart";
			rotateTool = new Rotate(Chart.Chart);
			var color = new Color {R = 255, G = 255, B = 255};

			var series = new HorizBar {BarStyle = BarStyles.Rectangle, Marks = {Style = MarksStyles.Value}};
			series.Marks.Arrow.Color = color;
			series.Marks.Clip = false;
			series.Marks.TextFormat = TextFormat.Normal;

			var value = int.Parse(Data.Text);

			Chart.Series.Add(series);
			for (var i = 0; i < 4; i++)
			{
				var barName = string.Format("{0}", i + 1);
				Chart.Series[0].Add(value+i, barName, Colors.Blue);
			}
			Chart.Axes.Bottom.Automatic = false;
			Chart.Axes.Bottom.Maximum = 100.0;
			Chart.Visibility = Visibility.Visible;
			Chart.Chart.Legend.Visible = false;
		}
	}
}
